 /*
  * Copyright (C), 2018-2021
  * Project: starter
  * FileName: IcgqConfig
  * Author:   Louis
  * Date:     2021/3/30 9:38
  */
 package com.fr.plugin.icgq.config;

 import com.fanruan.api.util.StringKit;
 import com.fr.config.*;
 import com.fr.config.holder.Conf;
 import com.fr.config.holder.factory.Holders;

 /**
  * <Function Description><br>
  * <IcgqConfig>
  *
  * @author fr.open
  * @since 1.0.0
  */
 @Visualization(category = "Plugin-icgq_Group")
 public class IcgqConfig extends DefaultConfiguration {
     private static volatile IcgqConfig config = null;
     @Identifier(value = "clientId", name = "Plugin-icgq_Config_ClientId", description = "Plugin-icgq_Config_ClientId_Description", status = Status.SHOW)
     private final Conf<String> clientId = Holders.simple(StringKit.EMPTY);
     @Identifier(value = "clientSecret", name = "Plugin-icgq_Config_ClientSecret", description = "Plugin-icgq_Config_ClientSecret_Description", status = Status.SHOW)
     private final Conf<String> clientSecret = Holders.simple(StringKit.EMPTY);

     public static IcgqConfig getInstance() {
         if (config == null) {
             config = ConfigContext.getConfigInstance(IcgqConfig.class);
         }
         return config;
     }

     public String getClientId() {
         return clientId.get();
     }

     public void setClientId(String clientId) {
         this.clientId.set(clientId);
     }

     public String getClientSecret() {
         return clientSecret.get();
     }

     public void setClientSecret(String clientSecret) {
         this.clientSecret.set(clientSecret);
     }
 }