 /*
  * Copyright (C), 2018-2021
  * Project: starter
  * FileName: WebTableDataModel
  * Author:   Louis
  * Date:     2021/12/16 8:17
  */
 package com.fr.plugin.icgq.data;

 import com.fanruan.api.data.open.BaseDataModel;
import com.fanruan.api.err.TableDataException;
import com.fr.base.Base64;
import com.fr.stable.ParameterProvider;

import java.util.ArrayList;

 /**
  * <Function Description><br>
  * <WebTableDataModel>
  *
  * @author fr.open
  * @since 1.0.0
  */
 public abstract class WebTableDataModel extends BaseDataModel {
     private static final long serialVersionUID = 5010918328453603247L;
     protected ParameterProvider[] parameters;
     protected String[] columnNames;
     protected ArrayList valueList = null;
     protected String host;

     public WebTableDataModel(ParameterProvider[] parameters) {
         this.parameters = parameters;
     }

     @Override
     public int getColumnCount() throws TableDataException {
         return this.columnNames.length;
     }

     @Override
     public String getColumnName(int i) throws TableDataException {
         return columnNames[i];
     }

     @Override
     public int getRowCount() throws TableDataException {
         init();
         return valueList.size();
     }

     @Override
     public Object getValueAt(int row, int col) throws TableDataException {
         init();
         return ((Object[]) valueList.get(row))[col];
     }

     @Override
     public void release() throws Exception {
         this.parameters = null;
     }

     protected abstract void init();

     /**
      * 获取访问令牌接口Token
      *
      * @param clientId
      * @param secret
      * @return
      */
     protected String getAccessToken(String clientId, String secret) {
         String auth = clientId + ":" + secret;
         return "Basic " + Base64.encode(auth.getBytes());
     }
 }