 /*
  * Copyright (C), 2018-2021
  * Project: starter
  * FileName: WechatTableDataDefine
  * Author:   Louis
  * Date:     2021/12/8 16:41
  */
 package com.fr.plugin.icgq.provider;

 import com.fanruan.api.design.DesignKit;
 import com.fr.base.TableData;
 import com.fr.design.data.tabledata.tabledatapane.AbstractTableDataPane;
 import com.fr.design.fun.ServerTableDataDefineProvider;
 import com.fr.design.fun.impl.AbstractTableDataDefineProvider;
 import com.fr.plugin.icgq.data.UsersTableData;
 import com.fr.plugin.icgq.ui.UsersTableDataPane;

 /**
  * <Function Description><br>
  * <WechatTableDataDefine>
  *
  * @author fr.open
  * @since 1.0.0
  */
 public class UsersTableDataDefine extends AbstractTableDataDefineProvider implements ServerTableDataDefineProvider {
     public static final String ICON_PATH = "/com/fr/plugin/icgq/images/logo16.png";

     @Override
     public Class<? extends TableData> classForTableData() {
         return UsersTableData.class;
     }

     @Override
     public Class<? extends TableData> classForInitTableData() {
         return UsersTableData.class;
     }

     @Override
     public Class<? extends AbstractTableDataPane> appearanceForTableData() {
         return UsersTableDataPane.class;
     }

     @Override
     public String nameForTableData() {
         return DesignKit.i18nText("Plugin-icgq_Users_Table_Data");
     }

     @Override
     public String prefixForTableData() {
         return DesignKit.i18nText("Plugin-icgq_Users_Table_Data");
     }

     @Override
     public String iconPathForTableData() {
         return ICON_PATH;
     }
 }