 /*
  * Copyright (C), 2018-2021
  * Project: starter
  * FileName: WechatTableDataPane
  * Author:   Louis
  * Date:     2021/12/8 19:19
  */
 package com.fr.plugin.icgq.ui;

 import com.fanruan.api.design.DesignKit;
 import com.fr.plugin.icgq.data.UsersTableData;
 import com.fr.script.Calculator;
 import com.fr.stable.ParameterProvider;

 import java.util.List;

 /**
  * <Function Description><br>
  * <UsersTableDataPane>
  *
  * @author fr.open
  * @since 1.0.0
  */
 public class UsersTableDataPane extends WebBaseTableDataPane<UsersTableData> {

     public UsersTableDataPane() {
         super();
     }

     @Override
     public void populateBean(UsersTableData data) {
         if (data == null) {
             return;
         }
         Calculator c = Calculator.createCalculator();
         this.editorPane.populate(data.getParameters(c));
     }

     @Override
     public UsersTableData updateBean() {
         UsersTableData data = new UsersTableData();
         List<ParameterProvider> parameterProviderList = this.editorPane.update();
         ParameterProvider[] parameters = parameterProviderList.toArray(new ParameterProvider[0]);
         data.setParameters(parameters);
         return data;
     }

     @Override
     protected String title4PopupWindow() {
         return DesignKit.i18nText("Plugin-icgq_Query");
     }
 }